<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litepci',

    /*
     * Package.
     */
    'package'   => 'okr',

    /*
     * Modules.
     */
    'modules'   => ['goal', 'activity'],

    'goal'       => [
        'model' => [
            'model'                 => \Litepci\Okr\Models\Goal::class,
            'table'                 => 'goals',
            'presenter'             => \Litepci\Okr\Repositories\Presenter\GoalPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'parent_id',  'department_id',  'user_id',  'owners',  'goal_type',  'type',  'visibility',  'goal',  'description',  'goal_cycle',  'start_date',  'end_date',  'user_type',  'status',  'progress',  'slug',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'okr/goal',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litepci',
            'package'   => 'Okr',
            'module'    => 'Goal',
        ],

    ],
    'activity'       => [
        'model' => [
            'model'                 => \Litepci\Okr\Models\Activity::class,
            'table'                 => 'activities',
            'presenter'             => \Litepci\Okr\Repositories\Presenter\ActivityPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'okr_id',  'user_id',  'okr_type',  'description',  'date',  'value',  'user_type',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'okr/activity',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litepci',
            'package'   => 'Okr',
            'module'    => 'Activity',
        ],

    ],
];
