<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateActivitiesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: activities
         */
        Schema::create('activities', function ($table) {
            $table->increments('id');
            $table->integer('okr_id')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('okr_type', 20)->nullable();
            $table->text('description')->nullable();
            $table->dateTime('date')->nullable();
            $table->decimal('value', 10,2)->nullable();
            $table->string('user_type', 50)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('activities');
    }
}
