<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateGoalsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: goals
         */
        Schema::create('goals', function ($table) {
            $table->increments('id');
            $table->integer('parent_id')->nullable();
            $table->integer('department_id')->nullable();
            $table->integer('user_id')->nullable();
            $table->text('owners')->nullable();
            $table->enum('goal_type', ['Individual','Department','Company wide'])->nullable();
            $table->enum('type', ['Goal','Key result'])->nullable();
            $table->enum('visibility', ['Public','Private'])->nullable();
            $table->text('goal')->nullable();
            $table->text('description')->nullable();
            $table->string('goal_cycle', 255)->nullable();
            $table->date('start_date')->nullable();
            $table->date('end_date')->nullable();
            $table->string('user_type', 50)->nullable();
            $table->string('status', 50)->nullable();
            $table->decimal('progress', 10,2)->nullable();
            $table->text('slug')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('goals');
    }
}
