Lavalite package that provides okr management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litepci/okr`.

    "litepci/okr": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litepci\Okr\Providers\OkrServiceProvider::class,

And also add it to alias

    'Okr'  => Litepci\Okr\Facades\Okr::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litepci\\OkrTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litepci\Okr\Providers\OkrServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litepci\Okr\Providers\OkrServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litepci\Okr\Providers\OkrServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/okr/{modulename}

**User**

    http://path-to-route-folder/user/okr/{modulename}

**Public**

    http://path-to-route-folder/okrs


### API endpoints

**List**

    http://path-to-route-folder/api/user/okr/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/okr/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/okr/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/okr/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/okr/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/okr/{modulename}/{slug}
    METHOD: GET