<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for goal in okr package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  goal module in okr package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Goal',
    'names'         => 'Goals',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Goals',
        'sub'   => 'Goals',
        'list'  => 'List of goals',
        'edit'  => 'Edit goal',
        'create'    => 'Create new goal'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'goal_type'           => ['Individual','Department','Company wide'],
            'type'                => ['Goal','Key result'],
            'visibility'          => ['Public','Private'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'parent_id'                  => 'Please enter parent id',
        'department_id'              => 'Please enter department id',
        'user_id'                    => 'Please enter user id',
        'owners'                     => 'Please enter owners',
        'goal_type'                  => 'Please select goal type',
        'type'                       => 'Please select type',
        'visibility'                 => 'Please select visibility',
        'goal'                       => 'Please enter goal',
        'description'                => 'Please enter description',
        'goal_cycle'                 => 'Please enter goal cycle',
        'start_date'                 => 'Please select start date',
        'end_date'                   => 'Please select end date',
        'user_type'                  => 'Please enter user type',
        'status'                     => 'Please enter status',
        'progress'                   => 'Please enter progress',
        'slug'                       => 'Please enter slug',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'parent_id'                  => 'Parent id',
        'department_id'              => 'Department id',
        'user_id'                    => 'User id',
        'owners'                     => 'Owners',
        'goal_type'                  => 'Goal type',
        'type'                       => 'Type',
        'visibility'                 => 'Visibility',
        'goal'                       => 'Goal',
        'description'                => 'Description',
        'goal_cycle'                 => 'Goal cycle',
        'start_date'                 => 'Start date',
        'end_date'                   => 'End date',
        'user_type'                  => 'User type',
        'status'                     => 'Status',
        'progress'                   => 'Progress',
        'slug'                       => 'Slug',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'parent_id'                  => ['name' => 'Parent id', 'data-column' => 1, 'checked'],
        'department_id'              => ['name' => 'Department id', 'data-column' => 2, 'checked'],
        'owners'                     => ['name' => 'Owners', 'data-column' => 3, 'checked'],
        'goal_type'                  => ['name' => 'Goal type', 'data-column' => 4, 'checked'],
        'type'                       => ['name' => 'Type', 'data-column' => 5, 'checked'],
        'visibility'                 => ['name' => 'Visibility', 'data-column' => 6, 'checked'],
        'goal'                       => ['name' => 'Goal', 'data-column' => 7, 'checked'],
        'description'                => ['name' => 'Description', 'data-column' => 8, 'checked'],
        'goal_cycle'                 => ['name' => 'Goal cycle', 'data-column' => 9, 'checked'],
        'start_date'                 => ['name' => 'Start date', 'data-column' => 10, 'checked'],
        'end_date'                   => ['name' => 'End date', 'data-column' => 11, 'checked'],
        'progress'                   => ['name' => 'Progress', 'data-column' => 12, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Goals',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
