<?php

// API routes  for goal
Route::prefix('{guard}/okr')->group(function () {
    Route::get('goal/form/{element}', 'GoalAPIController@form');
    Route::resource('goal', 'GoalAPIController');
});

// Public routes for goal
Route::get('okrs/', 'GoalPublicController@index');
Route::get('okrs/{slug?}', 'GoalPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for okrs
            Route::prefix('{guard}/okr')->group(function () {
                Route::get('goal/form/{element}', 'GoalAPIController@form');
                Route::apiResource('goal', 'GoalAPIController');
            });
            // Public routes for okrs
            Route::get('okr/Goal', 'GoalPublicController@getGoal');
        }
    );
}

// API routes  for activity
Route::prefix('{guard}/okr')->group(function () {
    Route::get('activity/form/{element}', 'ActivityAPIController@form');
    Route::resource('activity', 'ActivityAPIController');
});

// Public routes for activity
Route::get('okrs/', 'ActivityPublicController@index');
Route::get('okrs/{slug?}', 'ActivityPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for okrs
            Route::prefix('{guard}/okr')->group(function () {
                Route::get('activity/form/{element}', 'ActivityAPIController@form');
                Route::apiResource('activity', 'ActivityAPIController');
            });
            // Public routes for okrs
            Route::get('okr/Activity', 'ActivityPublicController@getActivity');
        }
    );
}

