<?php

// web routes  for goal
Route::prefix('{guard}/okr')->group(function () {
    Route::resource('goal', 'GoalResourceController');
});

// Public routes for goal
Route::get('okrs/', 'GoalPublicController@index');
Route::get('okrs/{slug?}', 'GoalPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'GoalResourceController');
            });
            // Public routes for pages
            Route::get('okrs/', 'GoalPublicController@index');
            Route::get('okrs/{slug?}', 'GoalPublicController@show');
        }
    );
}

// web routes  for activity
Route::prefix('{guard}/okr')->group(function () {
    Route::resource('activity', 'ActivityResourceController');
});

// Public routes for activity
Route::get('okrs/', 'ActivityPublicController@index');
Route::get('okrs/{slug?}', 'ActivityPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'ActivityResourceController');
            });
            // Public routes for pages
            Route::get('okrs/', 'ActivityPublicController@index');
            Route::get('okrs/{slug?}', 'ActivityPublicController@show');
        }
    );
}

