<?php

namespace Litepci\Okr\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Litepci\Okr\Interfaces\GoalRepositoryInterface;

class GoalPublicController extends BaseController
{
    // use GoalWorkflow;

    /**
     * Constructor.
     *
     * @param type \Litepci\Goal\Interfaces\GoalRepositoryInterface $goal
     *
     * @return type
     */
    public function __construct(GoalRepositoryInterface $goal)
    {
        $this->repository = $goal;
        parent::__construct();
    }

    /**
     * Show goal's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $goals = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();


        return $this->response->setMetaTitle(trans('okr::goal.names'))
            ->view('okr::public.goal.index')
            ->data(compact('goals'))
            ->output();
    }


    /**
     * Show goal.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $goal = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->response->setMetaTitle($goal->name . trans('okr::goal.name'))
            ->view('okr::public.goal.show')
            ->data(compact('goal'))
            ->output();
    }

}
