<?php

namespace Litepci\Okr;

use User;

class Okr
{
    /**
     * $goal object.
     */
    protected $goal;    /**
     * $activity object.
     */
    protected $activity;

    /**
     * Constructor.
     */
    public function __construct(\Litepci\Okr\Interfaces\GoalRepositoryInterface $goal,        \Litepci\Okr\Interfaces\ActivityRepositoryInterface $activity)
    {
        $this->goal = $goal;        $this->activity = $activity;
    }

    /**
     * Returns count of okr.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.goal.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->goal->pushCriteria(new \Litepie\Litepci\Repositories\Criteria\GoalUserCriteria());
        }

        $goal = $this->goal->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('okr::' . $view, compact('goal'))->render();
    }    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.activity.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->activity->pushCriteria(new \Litepie\Litepci\Repositories\Criteria\ActivityUserCriteria());
        }

        $activity = $this->activity->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('okr::' . $view, compact('activity'))->render();
    }
}
