<?php

namespace Litepci\Okr\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ActivityTransformer extends TransformerAbstract
{
    public function transform(\Litepci\Okr\Models\Activity $activity)
    {
        return [
            'id'                => $activity->getRouteKey(),
            'key'               => [
                'public'    => $activity->getPublicKey(),
                'route'     => $activity->getRouteKey(),
            ], 
            'okr_id'            => $activity->okr_id,
            'user_id'           => $activity->user_id,
            'okr_type'          => $activity->okr_type,
            'description'       => $activity->description,
            'date'              => $activity->date,
            'value'             => $activity->value,
            'user_type'         => $activity->user_type,
            'deleted_at'        => $activity->deleted_at,
            'url'               => [
                'public'    => trans_url('okr/'.$activity->getPublicKey()),
                'user'      => guard_url('okr/activity/'.$activity->getRouteKey()),
            ], 
            'status'            => trans('app.'.$activity->status),
            'created_at'        => format_date($activity->created_at),
            'updated_at'        => format_date($activity->updated_at),
        ];
    }
}