<?php

namespace Litepci\Okr\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class GoalTransformer extends TransformerAbstract
{
    public function transform(\Litepci\Okr\Models\Goal $goal)
    {
        return [
            'id'                => $goal->getRouteKey(),
            'key'               => [
                'public'    => $goal->getPublicKey(),
                'route'     => $goal->getRouteKey(),
            ], 
            'parent_id'         => $goal->parent_id,
            'department_id'     => $goal->department_id,
            'user_id'           => $goal->user_id,
            'owners'            => $goal->owners,
            'goal_type'         => $goal->goal_type,
            'type'              => $goal->type,
            'visibility'        => $goal->visibility,
            'goal'              => $goal->goal,
            'description'       => $goal->description,
            'goal_cycle'        => $goal->goal_cycle,
            'start_date'        => $goal->start_date,
            'end_date'          => $goal->end_date,
            'user_type'         => $goal->user_type,
            'progress'          => $goal->progress,
            'slug'              => $goal->slug,
            'deleted_at'        => $goal->deleted_at,
            'url'               => [
                'public'    => trans_url('okr/'.$goal->getPublicKey()),
                'user'      => guard_url('okr/goal/'.$goal->getRouteKey()),
            ], 
            'status'            => trans('app.'.$goal->status),
            'created_at'        => format_date($goal->created_at),
            'updated_at'        => format_date($goal->updated_at),
        ];
    }
}